Composer的安装-linux

2021-04-30 21:48:56 更新

Linux 平台

首先 centos 必须安装 php-cli,也就是在命令行下可以运行 php,且 PHP 5.3.2+

php -v  #查看php版本

没有安装 php-cli 的,可以执行以下命令进行安装

yum install php-cli php-zip wget unzip


Linux 平台可以使用以下命令来安装:

下载 composer-setup.php 文件到当前目录

php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"

删除当前目录下的 composer-setup.php 安装文件

php -r "unlink('composer-setup.php');"

执行以下命令查看 composer 版本

php composer.phar



切换为国内镜像:

composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

更新 composer:

composer selfupdate